%define _unpackaged_files_terminate_build	1

%define module_name	wanpipe
%define module_version	3.5.6
%define module_release	alt2

%define kversion       2.6.29
%define krelease       alt2
%define flavour        rt-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

%define kernel_headers_dir %_prefix/src/linux-%kversion-%flavour-%krelease
%define module_headers_dir %kernel_headers_dir/drivers/%module_name

Summary: %module_name modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132637.2
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Requires: dahdi-udev

# Automatically added by buildreq on Sun Nov 07 2004
BuildRequires: kernel-source-%module_name
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-headers-dahdi-%flavour
BuildRequires: rsync flex gcc-c++ libncurses-devel 
Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:  %ix86 x86_64

%description
Zaptel modules, that needed for all Digium hardware, and some compatible
devices for telephony.

%package -n kernel-headers-%module_name-%flavour
Summary: dahdi driver headers
Group: Development/Kernel
PreReq: kernel-headers-modules-%flavour = %kversion-%krelease
Requires(postun): kernel-headers-modules-%flavour = %kversion-%krelease
Provides: kernel-headers-%module_name-%kversion-%flavour-%krelease = %version-%release

%description -n kernel-headers-%module_name-%flavour
This package contains dahdi driver headers and other files needed for
compiling kernel modules which interface with dahdi drivers.

%prep
mkdir -p kernel-source-%module_name-%module_version
cd kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
%install
tmp_root=../000
tmp_kernel=../tmp.kernel

mkdir -p $tmp_root $tmp_kernel

tmp_root=`realpath "$tmp_root"`
tmp_kernel=`realpath "$tmp_kernel"`

mkdir -p $tmp_root/etc/wanpipe
mkdir -p $tmp_kernel

krn=%_usrsrc/linux-%kversion-%flavour

rsync -ak --delete $krn/ $tmp_kernel/

inc=`realpath $tmp_kernel/include`
bd=$tmp_root
cp -a $tmp_kernel/drivers/dahdi/* $tmp_kernel/kernel/
cat $tmp_kernel/kernel-modules-dahdi.symvers >> $tmp_kernel/Module.symvers
touch $tmp_kernel/drivers/Makefile
export EXTRA_FLAGS=-I$inc
./Setup install \
    --silent \
    --builddir=$bd \
    --protocol=TDM \
    --with-linux="$tmp_kernel" \
    --with-zaptel=$tmp_kernel/drivers/

mkdir -p %buildroot/lib
cp -a $tmp_root/lib/* %buildroot/lib/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%dir /lib/modules/%kversion-%flavour-%krelease/kernel/net/wanrouter
/lib/modules/%kversion-%flavour-%krelease/kernel/net/wanrouter/af_wanpipe.ko
/lib/modules/%kversion-%flavour-%krelease/kernel/net/wanrouter/wan_aften.ko
/lib/modules/%kversion-%flavour-%krelease/kernel/net/wanrouter/wanec.ko
/lib/modules/%kversion-%flavour-%krelease/kernel/net/wanrouter/wanrouter.ko
/lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net/wan/sdladrv.ko
/lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net/wan/wanpipe.ko

%changelog
* Sun Sep 13 2009 Denis Smirnov <mithraen@altlinux.ru> 3.5.6-alt2.132637.2
- Build for kernel-image-rt-smp-2.6.29-alt2.

* Sun Sep 13 2009 Denis Smirnov <mithraen@altlinux.ru> 3.5.6-alt2
- build with DAHDI instead of zaptel

* Wed Sep 02 2009 Denis Smirnov <mithraen@altlinux.ru> 3.5.6-alt1.2
- 3.5.6

* Sun Dec 14 2008 Denis Smirnov <mithraen@altlinux.ru> 3.3.15-alt1.132635.5
- first build for Sisyphus

